Subject: Re: [PATCH] General CHRP/MPC5K2 platform support patch

From: Sylvain Munaut <[email-masked]>
Date: Thu, 26 Oct 2006 19:54:33 +0200

Hi Nicolas,

I don't have much to add to what's already been posted, so here's a
couple of details,
mainly compatibility concerns with the legacy arch/ppc tree.

>  
> diff -uprN a/include/asm-ppc/mpc52xx.h b/include/asm-ppc/mpc52xx.h
> --- a/include/asm-ppc/mpc52xx.h	2006-10-25 19:07:48.000000000 +0200
> +++ b/include/asm-ppc/mpc52xx.h	2006-10-25 19:11:55.000000000 +0200
> @@ -119,7 +119,7 @@ enum ppc_sys_devices {
>  #define MPC52xx_SDMA_IRQ_NUM	17
>  #define MPC52xx_PERP_IRQ_NUM	23
>  
> -#define MPC52xx_CRIT_IRQ_BASE	1
> +#define MPC52xx_CRIT_IRQ_BASE	0
As explained in IRC, I'm not sure about this.
I was previously talked into applying this to avoid using interrupt
number 0. In the LITE5200 IRQ0 is used for PCI. It's interrupt number
is equal to MPC52xx_CRIT_IRQ_BASE and if it's 0 some drivers just don't
work.
That's when using the arch/ppc code. Apparently this is no longer an
issue in arch/powerpc (someone to confirm and explain me why ? I would guess
the irq_linear_revmap thingie ), but can a "standard" lite5200 be booted
in a arch/powerpc kernel ?

So if no critical, I would postpone that change until it's confirmed
a lite5200 can boot ...

> -extern int mpc52xx_get_irq(void);
> +extern unsigned int mpc52xx_get_irq(void);
Mmmh, the one in arch/ppc is not unsigned but I guess the warning is fine.

Finally, some triviality : The patch adds some space on empty lines. Also,
the indentation is sometimes done with space and sometimes with space ...

    Sylvain